// -*-C++-*-
/*!
 * @file  ImageLoaderControlSVC_impl.cpp
 * @brief Service implementation code of ImageLoaderControl.idl
 *
 * @author 株式会社 東日本計算センター
 *
 */

#include "ImageLoaderControlSVC_impl.h"

// add to code
#include <iostream>
#include "local_basic_type.h"
#include "2dcdp_system.h"

/*
 * Example implementational code for IDL interface ImageLoaderControlServ::ImageLoaderTrigger
 */
ImageLoaderTriggerSVC_impl::ImageLoaderTriggerSVC_impl()
{
  // Please add extra constructor code here.

  // add to code
  m_ulImageLoaderTrigger = IMLD_TRIG_STOP;
}


ImageLoaderTriggerSVC_impl::~ImageLoaderTriggerSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void ImageLoaderTriggerSVC_impl::ReqImageLoaderTrigger(CORBA::ULong ulLoaderTrigger)
{
  // Please insert your code here and remove the following warning pragma
#ifndef WIN32
  #warning "Code missing in function <void ImageLoaderTriggerSVC_impl::ReqImageLoaderTrigger(CORBA::ULong ulLoaderTrigger)>"
#endif
  // add to code

  if (ulLoaderTrigger < IMLD_TRIG_MAX)
  {
    std::cout << "ReqImageLoaderTrigger:" << ulLoaderTrigger << std::endl;
    m_ulImageLoaderTrigger = ulLoaderTrigger;
  }
  else
  {
    m_ulImageLoaderTrigger = IMLD_TRIG_STOP;
  }
}

CORBA::ULong ImageLoaderTriggerSVC_impl::GetImageLoaderTrigger()
{
  // Please insert your code here and remove the following warning pragma
#ifndef WIN32
  #warning "Code missing in function <CORBA::ULong ImageLoaderTriggerSVC_impl::GetImageLoaderTrigger()>"
#endif
  return ( m_ulImageLoaderTrigger );
}



// End of example implementational code

/*
 * Example implementational code for IDL interface ImageLoaderSystemContServ::ImageLoaderReset
 */
ImageLoaderResetSVC_impl::ImageLoaderResetSVC_impl()
{
  // Please add extra constructor code here.

  // add to code
  m_ulImageLoaderResetTrigger = RESET_TRIG_OFF;
}


ImageLoaderResetSVC_impl::~ImageLoaderResetSVC_impl()
{
  // Please add extra destructor code here.
}


/*
 * Methods corresponding to IDL attributes and operations
 */
void ImageLoaderResetSVC_impl::ReqImageLoaderReset(CORBA::ULong ulResetTrigger)
{
  // Please insert your code here and remove the following warning pragma
#ifndef WIN32
  #warning "Code missing in function <void ImageLoaderResetSVC_impl::ReqImageLoaderReset(CORBA::ULong ulResetTrigger)>"
#endif
  // add to code
  if (ulResetTrigger < RESET_TRIG_MAX)
  {
    std::cout << "ReqImageLoaderReset:" << ulResetTrigger << std::endl;
    m_ulImageLoaderResetTrigger = ulResetTrigger;
  }
  else
  {
    m_ulImageLoaderResetTrigger = RESET_TRIG_OFF;
  }
}

CORBA::ULong ImageLoaderResetSVC_impl::GetImageLoaderReset()
{
  // Please insert your code here and remove the following warning pragma
#ifndef WIN32
  #warning "Code missing in function <CORBA::ULong ImageLoaderResetSVC_impl::GetImageLoaderReset()>"
#endif
  // add to code
  return ( m_ulImageLoaderResetTrigger );
}



// End of example implementational code



